Skip to content
Start here

Create new saved logo queries from image files

brand_protection.logos.create(LogoCreateParams**kwargs) -> LogoCreateResponse
POST/accounts/{account_id}/brand-protection/logos

Return new saved logo queries created from image files

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
account_id: str
minLength1
match_type: Optional[str]
tag: Optional[str]
threshold: Optional[float]
image: Optional[FileTypes]
ReturnsExpand Collapse
class LogoCreateResponse:
id: Optional[int]
tag: Optional[str]
upload_path: Optional[str]

Create new saved logo queries from image files

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
logo = client.brand_protection.logos.create(
    account_id="x",
)
print(logo.id)
{
  "id": 0,
  "tag": "tag",
  "upload_path": "upload_path"
}
Returns Examples
{
  "id": 0,
  "tag": "tag",
  "upload_path": "upload_path"
}